Bug 255025 - textproc/py-chardet: Update to 4.0.0
Summary: textproc/py-chardet: Update to 4.0.0
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-13 08:31 UTC by takefu
Modified: 2021-08-17 13:08 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (python)


Attachments
py-chardet-4.0.0,1.patch (1.83 KB, patch)
2021-04-13 08:31 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2021-04-13 08:31:27 UTC
Created attachment 224075 [details]
py-chardet-4.0.0,1.patch
Comment 1 commit-hook freebsd_committer 2021-06-01 12:15:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cbb8e36106080a07bcedff674c1ee411b70aef35

commit cbb8e36106080a07bcedff674c1ee411b70aef35
Author:     Wen Heping <wen@FreeBSD.org>
AuthorDate: 2021-06-01 10:11:21 +0000
Commit:     Wen Heping <wen@FreeBSD.org>
CommitDate: 2021-06-01 10:11:21 +0000

    textproc/py-chardet: Update to 4.0.0

    PR:             255025
    Submitted by:   takefu@airport.fm

 textproc/py-chardet/Makefile                   |  3 +--
 textproc/py-chardet/distinfo                   |  6 +++---
 textproc/py-chardet/files/patch-test.py (gone) | 16 ----------------
 3 files changed, 4 insertions(+), 21 deletions(-)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-01 23:54:46 UTC
^Triage: Assign to committer that resolved

@Wen At least one port (py-aiohttp)declares a version-spec for chardet <4.0

This update breaks that port and its dependents

What testing was run for this change?

https://github.com/freebsd/freebsd-ports/blob/main/www/py-aiohttp/Makefile#L17
Comment 3 Wen Heping freebsd_committer 2021-06-02 02:44:01 UTC
(In reply to Kubilay Kocak from comment #2)
Sorry the commit break www/py-aiohttp.

Hope PR/256219 would be committed soon. if not, I would revert this commit.

wen
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-02 02:54:58 UTC
(In reply to Wen Heping from comment #3)

Note that aiohttp may not be the only port impacted

Re aiohttp though, given the fallout, if you can QA bug 256219 in short order, and I provided review in 256219#c4 you are free to land that change. That fixes that, however...

If confirming no other ports are not affected cant be done in short order, I'd probably revert the change.
Comment 5 Wen Heping freebsd_committer 2021-06-02 03:16:13 UTC
(In reply to Kubilay Kocak from comment #4)
I would check all the ports depends on py-chardet now.

wen
Comment 6 Wen Heping freebsd_committer 2021-06-02 03:38:09 UTC
www/py-httpx013 require textproc/py-chardet<4, 
I would suggest create textproc/py-chardet3 to keep www/py-httpx013 build.

How about it ?

wen
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2021-06-03 04:55:52 UTC
(In reply to Wen Heping from comment #6)

Your call Wen.
Comment 8 Steve Wills freebsd_committer 2021-08-16 16:00:39 UTC
This seems to have broken biology/py-resdk too:

https://lists.freebsd.org/archives/freebsd-pkg-fallout/2021-August/080466.html
Comment 9 Wen Heping freebsd_committer 2021-08-17 13:08:12 UTC
(In reply to Steve Wills from comment #8)
I send a patch to yuri@ to unbreak it.

wen